## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate tealdeer

Name:           rust-tealdeer
Version:        1.7.2
Release:        %autorelease
Summary:        Fetch and show tldr help pages for many CLI commands

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tealdeer
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * use native-tls instead of rustls
Patch:          tealdeer-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Fetch and show tldr help pages for many CLI commands. Full featured
offline client with caching support.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Zlib OR Apache-2.0
# Unicode-3.0
# Unlicense OR MIT
License:        %{shrink:
    Apache-2.0 AND
    MIT AND
    Unicode-3.0 AND
    (0BSD OR MIT OR Apache-2.0) AND
    (Apache-2.0 OR MIT) AND
    (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
    (Apache-2.0 OR BSL-1.0) AND
    (Apache-2.0 OR ISC OR MIT) AND
    (MIT OR Zlib OR Apache-2.0) AND
    (Unlicense OR MIT)
}
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc README.md
%{_bindir}/tldr
%{bash_completions_dir}/tldr.bash
%{fish_completions_dir}/tldr.fish
%{zsh_completions_dir}/_tldr

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install shell completions
install -Dpm0644 completion/bash_tealdeer %{buildroot}/%{bash_completions_dir}/tldr.bash
install -Dpm0644 completion/fish_tealdeer %{buildroot}/%{fish_completions_dir}/tldr.fish
install -Dpm0644 completion/zsh_tealdeer %{buildroot}/%{zsh_completions_dir}/_tldr

%if %{with check}
%check
# * integration tests need a working internet connection
%cargo_test -- --bins
%endif

%changelog
## START: Generated by rpmautospec
* Thu May 01 2025 Fabio Valentini <decathorpe@gmail.com> - 1.7.2-1
- Update to version 1.7.2; Fixes RHBZ#2353283

* Thu Feb 06 2025 Fabio Valentini <decathorpe@gmail.com> - 1.7.1-3
- Rebuild for openssl crate >= v0.10.70 (RUSTSEC-2025-0004)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 10 2024 Fabio Valentini <decathorpe@gmail.com> - 1.7.1-1
- Update to version 1.7.1; Fixes RHBZ#2316212

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.6.1-8
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Sat Feb 17 2024 Fabio Valentini <decathorpe@gmail.com> - 1.6.1-7
- Move from app_dirs to maintained app_dirs2

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 1.6.1-5
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Sat Oct 28 2023 Fabio Valentini <decathorpe@gmail.com> - 1.6.1-4
- Add back shell completions that are missing from published sources

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> - 1.6.1-2
- Rebuild for tokio, h2, and openssl crate security updates

* Mon Apr 17 2023 Fabio Valentini <decathorpe@gmail.com> - 1.6.1-1
- Update to version 1.6.1; Fixes RHBZ#2131606

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 1.5.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> - 1.5.0-1
- Update to version 1.5.0; Fixes RHBZ#2036402

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.1-10
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-8
- Bump assert_cmd to 2.0.0

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.4.1-6
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 19 2021 Fabio Valentini <decathorpe@gmail.com> - 1.4.1-4
- Bump to remove_dir_all 0.7.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 15 2020 Fabio Valentini <decathorpe@gmail.com> - 1.4.1-2
- Bump to pager 0.16.

* Tue Oct 20 2020 Fabio Valentini <decathorpe@gmail.com> - 1.4.1-1
- Update to version 1.4.1.

* Sun Aug 16 15:01:50 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.0-5
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Mar 27 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.0-2
- Fixup license

* Fri Mar 06 07:32:54 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.0-1
- Initial package

## END: Generated by rpmautospec
